/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

 
#include "queryfieldanything.h"

QueryFieldAnyThing::QueryFieldAnyThing( QWidget* parent, const char* name, WFlags fl )
	: QWidget( parent, name, fl )
{
	action = new KComboBox( FALSE, this, "action" );
//	action->setMaximumSize( QSize( 140, 32767 ) );
	action->setAutoCompletion( FALSE );

	query = new KLineEdit( this, "query" );

	query->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, FALSE ) );
	action->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, FALSE ) );


	
	languageChange();
//	resize( QSize(490, 40).expandedTo(minimumSizeHint()) );
	clearWState( WState_Polished );
	layoutA = new QHBoxLayout(this);
	layoutA->addWidget(action);
	layoutA->addWidget(query,3);
	
	
	
// 	this->setSizePolicy(QSizePolicy::MinimumExpanding,QSizePolicy::MinimumExpanding, FALSE);
	this->query->setFocus();
	this->setShown(TRUE);

// 	this->show();
}


void QueryFieldAnyThing::languageChange()
{
	setCaption( tr2i18n( "Form1" ) );
	action->clear();
	action->insertItem( tr2i18n( "contains" ) );
}

QString QueryFieldAnyThing::getQuery()
{
	QString str1 = this->query->text();
	str1 = str1.stripWhiteSpace();
	QString query;
// 	query = "anything:(" + str1 + ")";
	if (!str1.isEmpty() )
		query = "contents:(" + str1 + ") anystring:(" + str1 + ")";
	return query;
}

//FIXME
#include "queryfieldanything.moc"
